<?php
session_start();/**************************************************صفحة تحميل المزيد من الكتاب*******************************************************************/

// ضبط اعدادات اللغة العربية للصفحة 
header("content-type:text/html;charset=utf-8"); 
//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';
//استدعاء ملف الاتصال بقاعدة البيانات
//include $cp_exec_conc;

//استدعاء ملف الحماية من الحقن
include "../injection.php";

//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'"); 

//ايقاف التنفيذ فى حالة عدم تسجيل الدخول
if(!isset($_SESSION[$domain.'_user']) || $_SESSION[$domain.'_user']==""){die;}

if(!isset($_POST['table']) || !isset($_POST['start']) || !isset($_POST['end']) || 
!isset($_POST['num_rows']) || !isset($_POST['search'])){ die(); };


// معالجة حقن المتغيرات
injection($_POST['search']);
injection($_POST['table']);
is_num($_POST['start']);
is_num($_POST['end']);
is_num($_POST['num_rows']);






/*  اسم الجدول وبداية الكويرى */  
$table=$_POST['table'];

//رقم سحل البداية
$start=$_POST['start'];

//رقم سحل النهاية
$end=$_POST['end'];

// عدد الصفوف المستدعاة

//تحديد عدد الصفوف
$num_rows=$_POST['num_rows'];
// كلمة البحث
$search=$_POST['search'];

// كلمة البحث
$search=$_POST['search'];

//
// القسم الحالى
$cat=$_POST['cat'];



//بداية الاستعلام
$query="select * from $table where name like '%$search%' order by `priority` desc , `sort` desc , id desc  limit $start,$num_rows ";

//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$rows_num=mysqli_num_rows($result);

?>	

<div id="load_wait"></div>
<div id="result_view">
	
	
<table   cellpadding="0" cellspacing="0" width="988"  dir="rtl"  style="border-left:solid 1px #ccc" >
<tr class='first_table_tr'>
<td align="center" width='20'>الاسم</td>
<td  align="center">الاولوية</td>
<td width="15" align="center">تعديل</td>
<td width="15" align="center">تفاصيل</td>
<td width="15" align="center">حذف</td>	
</tr>	
	
	
<?php
   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
echo"<tr id='tr$fetch[0]' class='table_tr'>";

echo"<td align='center'>$fetch[name]</td>";
echo"<td align='center'><a class='edit_news' alt'$fetch[0]' href='edit_depart.php?id=$fetch[0]'><img loading='lazy' a src='../img/edit.png'></td>";
echo"<td align='center'><a table='$table' class='show_details' created='$fetch[created]' modified='$fetch[modified]' user_created='$fetch[user_created]' user_modified='$fetch[user_modified]'  alt='$fetch[id]'><img loading='lazy' src='../img/details.png'></td>";

echo"<td align='center'><a class='delete' table_name='$table' alt='$fetch[0]'><img loading='lazy' src='../img/delete.png'></td>";
echo"</tr>";
}	
?>
</table>
</div>
		


